Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

serviceentry Member List

This is the complete list of members for serviceentry, including all inherited members.

getAliasList() const | serviceentry |
getName() const | serviceentry |
getName(int32_t port, const char *protocol) | serviceentry | static
getPort() const | serviceentry |
getPort(const char *servicename, const char *protocol) | serviceentry | static
getProtocol() const | serviceentry |
initialize(const char *servicename, const char *protocol) | serviceentry |
initialize(int32_t port, const char *protocol) | serviceentry |
needsMutex() | serviceentry | static
operator=(const serviceentry &s) | serviceentry |
serviceentry() | serviceentry |
serviceentry(const serviceentry &s) | serviceentry |
setMutex(threadmutex *mtx) | serviceentry | static
~serviceentry() | serviceentry |